Проблема обновления в инструментах построения градиентов от 1.2.3 до 1.3.1

Я обновил инструменты построения градиента с 1.2.3 до 1.3.1 и начал видеть следующую ошибку при синхронизации градиента. У меня не было проблем с версией 1.2.3. Я нахожусь в gradleVersion 2.3. В любом случае, я могу избежать этой ошибки?

Ошибка: ваш проект содержит 2 или более модулей с одинаковой идентификацией. Com.salesforce.android: AndroidCommon на «AndroidCommon» и «AndroidCommon: AndroidCommon». Вы должны использовать различную идентификацию (имя или группу) для каждого модуля.

AndroidCommon – одна из библиотек, которые я использую. Я пробовал с версиями 1.3 и 1.4 Android Studio. Похоже, что версия AS не имеет значения.

Такая ошибка возникает в таких случаях:

  • 2 модуля имеют одинаковую идентификацию (group + name). Проверьте код
  • 1 имеет одно и то же имя корневого проекта

В первом случае:

  • Переименовать один из модулей
  • Обновите файл settings.gradle новым именем
  • gradlew clean assemble

Во втором случае.

  • Переименуйте корневой проект или выполните действия, описанные выше. `

Эта проверка была введена с помощью gradle-plugin 1.3.x. Вы можете проверить код:

  • Плагин gradle 1.3.1
  • Плагин gradle 1.2.3

У вас есть 2 модуля с тем же именем, что и состояние ошибок, которые изменяют имя модуля.

 To rename a module 

Перейдите в settings.gradle и переименуйте модуль в новое имя. Затем закройте Android Studio и переименуйте папку с помощью Проводника. Теперь снова запустите студию Android, и ваше имя модуля будет обновлено.

Intereting Posts